# Uses of Enum Class
org.bukkit.Axis

Packages that use Axis
Package
Description
io.papermc.paper.math
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block.data
Generalized BlockData classes.

## Uses of Axis in io.papermc.paper.math

Methods in io.papermc.paper.math with parameters of type Axis
Modifier and Type
Method
Description
`default @NotNull BlockPosition`
BlockPosition.`offset(@NotNull Axis axis, int amount)`
Returns a block position offset by the amount along the specified axis.

## Uses of Axis in org.bukkit

Methods in org.bukkit that return Axis
Modifier and Type
Method
Description
`static Axis`
Axis.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Axis[]`
Axis.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Axis in org.bukkit.block.data

Methods in org.bukkit.block.data that return Axis
Modifier and Type
Method
Description
`@NotNull Axis`
Orientable.`getAxis()`
Gets the value of the 'axis' property.
Methods in org.bukkit.block.data that return types with arguments of type Axis
Modifier and Type
Method
Description
`@NotNull Set<Axis>`
Orientable.`getAxes()`
Gets the axes which are applicable to this block.
Methods in org.bukkit.block.data with parameters of type Axis
Modifier and Type
Method
Description
`void`
Orientable.`setAxis(@NotNull Axis axis)`
Sets the value of the 'axis' property.